astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Polynomial1D

# Polynomial1D

class `astropy.modeling.polynomial.``Polynomial1D`

  Bases: `astropy.modeling.polynomial.PolynomialModel`

  1D Polynomial model.

  Parameters:

  degree : int

  > degree of the series

  domain : list or None, optional

  window : list or None, optional

  > If None, it is set to [-1,1] Fitters will remap the domain to this window

  **params : dict

  > keyword: value pairs, representing parameter_name: value

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Attributes Summary

  `inputs` |
  `outputs` |

  Methods Summary

  `__call__`(x[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `eval`(*args, **kwargs) | Deprecated since version 1.0.
  `evaluate`(x, *coeffs) | Evaluate the model on some input variables.
  `fit_deriv`(x, *params) | Computes the Vandermonde matrix.
  `horner`(x, coeffs) |
  `prepare_inputs`(x, **kwargs) | This method is used in `__call__` to ensure that all the inputs to the model can be broadcast into compatible shapes (if one or both of them are input as arrays), particularly if there are more than one parameter sets.

  Attributes Documentation

  `inputs` = (u'x',)
  `outputs` = (u'y',)

  Methods Documentation

  `__call__`(x, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  `eval`(*args, **kwargs)

    Deprecated since version 1.0: The eval function is deprecated and may be removed in a future version. Use Polynomial1D.evaluate instead.

    Evaluate the model on some input variables.

  `evaluate`(x, *coeffs)

    Evaluate the model on some input variables.

  `fit_deriv`(x, *params)

    Computes the Vandermonde matrix.

    Parameters:

    x : ndarray

    > input

    params : throw away parameter

    > parameter list returned by non-linear fitters

    Returns:

    result : ndarray

    > The Vandermonde matrix

  static `horner`(x, coeffs)
  `prepare_inputs`(x, **kwargs)

    This method is used in `__call__` to ensure that all the inputs to the model can be broadcast into compatible shapes (if one or both of them are input as arrays), particularly if there are more than one parameter sets.